std::_Function_base Class Reference

`#include <std_function.h>`

Inheritance diagram for std::_Function_base:
[legend]

## Public Types

typedef bool(* | _Manager_type) (_Any_data &, const _Any_data &, _Manager_operation)

## Public Member Functions

bool | _M_empty () const

## Public Attributes

_Any_data | _M_functor
_Manager_type | _M_manager

## Static Public Attributes

static const size_t | _M_max_align
static const size_t | _M_max_size

## Detailed Description

Base class of all polymorphic function object wrappers.

Definition at line 131 of file std_function.h.

## Member Typedef Documentation

## _Manager_type

typedef bool(* std::_Function_base::_Manager_type) (_Any_data &, const _Any_data &, _Manager_operation)

Definition at line 265 of file std_function.h.

## Constructor & Destructor Documentation

## _Function_base()

std::_Function_base::_Function_base | ( |  | ) |

inline

Definition at line 255 of file std_function.h.

## ~_Function_base()

std::_Function_base::~_Function_base | ( |  | ) |

inline

Definition at line 257 of file std_function.h.

## Member Function Documentation

## _M_empty()

bool std::_Function_base::_M_empty | ( |  | ) | const

inline

Definition at line 263 of file std_function.h.

## Member Data Documentation

## _M_functor

_Any_data std::_Function_base::_M_functor

Definition at line 268 of file std_function.h.

## _M_manager

_Manager_type std::_Function_base::_M_manager

Definition at line 269 of file std_function.h.

## _M_max_align

const size_t std::_Function_base::_M_max_align

static

Definition at line 135 of file std_function.h.

## _M_max_size

const size_t std::_Function_base::_M_max_size

static

Definition at line 134 of file std_function.h.

The documentation for this class was generated from the following file:

- std_function.h